package com.hfkj.service.recharge.impl;

import com.hfkj.dao.RechargeCodeMapper;
import com.hfkj.entity.RechargeCode;
import com.hfkj.service.recharge.RechargeCodeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;
import java.util.Map;

@Service("rechargeCodeService")
public class RechargeCodeServiceImpl implements RechargeCodeService {

    @Resource
    private RechargeCodeMapper rechargeCodeMapper;

    @Override
    public void create(RechargeCode rechargeCode) {
        rechargeCodeMapper.insert(rechargeCode);
    }

    @Override
    public void update(RechargeCode rechargeCode) {
        rechargeCodeMapper.updateByPrimaryKeySelective(rechargeCode);
    }

    @Override
    public void delete(Long id, Boolean fullDelete) {
        rechargeCodeMapper.deleteByPrimaryKey(id);
    }

    @Override
    public RechargeCode queryDetail(Long id) {
        return rechargeCodeMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<RechargeCode> getList(Map<String, Object> map) {
        return Collections.emptyList();
    }
}
